--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Matches any object that is an instance of <tt>klass</tt>
- !ruby/struct:SM::Flow::VERB 
  body: "  object = mock()\n  object.expects(:method_1).with(instance_of(String))\n  object.method_1('string')\n  # no error raised\n\n  object = mock()\n  object.expects(:method_1).with(instance_of(String))\n  object.method_1(99)\n  # error raised, because method_1 was not called with an instance of String\n"
full_name: Mocha::ParameterMatchers#instance_of
is_singleton: false
name: instance_of
params: " instance_of(klass) -> parameter_matcher\n"
visibility: public
